## ispell 3.3.02

=== Makefile ===
#
# $Id: Makefile,v 1.124 2005/05/25 13:56:32 geoff Exp $
#
# Copyright 1992, 1993, 1999, 2001, 2005, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# You will have to create a local.h file before building; look over
# config.X to learn what things you may need to define, or use one of
# the sample local.h files shipped.
#
# the argument syntax for buildhash to make alternate dictionary files
# is simply:
#
#   buildhash <dictfile> <affix-file> <outfile>

# $Log: Makefile,v $
# Revision 1.124  2005/05/25 13:56:32  geoff
# Make language subdirectories in reverse order so that the English
# makefiles can install a default dictionary linked to the first-mentioned
# language.
#
# Revision 1.123  2005/05/25 13:22:33  geoff
# Bug fix: make sure HASHSUFFIX set before using it during installation.
#
# Revision 1.122  2005/05/01 23:19:12  geoff
# Make constructed files depend on the Makefile
#
# Revision 1.121  2005/05/01 23:07:59  geoff
# Add EXTEXT usage (courtesy of Eli Zaretskii).
#
# Revision 1.120  2005/05/01 22:35:00  geoff
# Get rid of references to fixispell-a in the installation process (but
# blow away any previously installed copies).  Add BAKEXT to the stuff
# that's in config.sh and that's substituted when editing .X files.
# Sort the list of edit substitutions.  When generating DEFHASH, use the
# configurable has suffix.
#
# Revision 1.119  2005/04/28 01:03:11  geoff
# Improve the generation of defhash.h to set up DEFLANG and to allow all
# definitions to be overridden by local.h.  Clean up defhash.h in "make
# clean".
#
# Revision 1.118  2005/04/28 00:26:06  geoff
# Dynamically generate MASTERHASH and DEFHASH from the first dictionary
# name specified in LANGUAGES.
#
# Revision 1.117  2005/04/27 01:18:34  geoff
# Work around idiotic POSIX incompatibilies in tail.  Proactively use
# the -e switch to sed against the day when they decide to make sed
# incompatible as well.
#
# Revision 1.116  2005/04/21 14:08:58  geoff
# Insert a missing "silencing at".  Change the name of the sample
# local.h file.
#
# Revision 1.115  2005/04/14 15:19:37  geoff
# Fix typos in the special term.o rule.
#
# Revision 1.114  2005/04/14 14:38:23  geoff
# Update license.  Integrate Ed Avis's changes.  Add fixispell-a (broken
# though it is).  Generate ispell.5 dynamically.  Put term.o first to
# improve detection of misconfigurations, and generate a special message
# if it won't compile.  Play funny games with y.tab.c to deal with
# MS-DOS stupidity.
#
# Revision 1.113  2002/06/20 23:46:15  geoff
# Put sq/unsq back, since some dictionaries are still distributed in sq
# format.  Add code to make directory paths when necessary.
#
# Revision 1.112  2001/09/06 00:30:28  geoff
# Many changes from Eli Zaretskii to support DJGPP compilation.
#
# Revision 1.111  2001/07/25 21:51:45  geoff
# Minor license update.
#
# Revision 1.110  2001/07/23 20:24:02  geoff
# Update the copyright and the license.
#
# Revision 1.109  2001/06/07 19:06:33  geoff
# When creating local.h, make it user-writable.
#
# Revision 1.108  2001/06/07 08:02:18  geoff
# Add the deformatters to the default dependencies.
#
# Revision 1.107  1999/01/13 01:34:15  geoff
# Get rid of some leftover references to emacs stuff.
#
# Revision 1.106  1999/01/08  04:32:31  geoff
# Don't try to build or install ispell.el and ispell.info.
#
# Revision 1.105  1999/01/07  01:22:29  geoff
# Update the copyright.  Get rid of old shar-based dictionary building.
#
# Revision 1.104  1995/11/08  05:09:06  geoff
# When invoking "showversion", ignore any errors that happen.  Fix a
# place where I forgot to double a dollar sign in install-languages.
#
# Revision 1.103  1995/10/25  03:35:38  geoff
# Don't assume the presence of "head" in the showversion dependency; use
# old reliable sed instead.  Also make showversion depend on ispell
# itself, since it uses it.
#
# Revision 1.102  1995/10/11  04:30:25  geoff
# Allow DEFHASH and MASTERHASH to be the same.
#
# Revision 1.101  1995/08/05  23:19:33  geoff
# Add the showversion target to ease the job of debugging people's make
# output.  Make sure SHELLDEBUG is set for the entire process of making
# config.sh.
#
# Revision 1.100  1995/03/06  02:42:39  geoff
# Run iwhich explicitly from the shell, so that we don't have to worry
# about PATH problems and whether it's executable or not.  Also fix a
# place where -nw was not removed from the batch emacs switch list.
#
# Revision 1.99  1995/01/08  23:23:23  geoff
# Get rid of an obsolete etags flag.  Add some new variables to config.sh.
#
# Revision 1.98  1994/12/27  23:08:43  geoff
# Use the new "iwhich" script to decide whether to install emacs-related
# stuff.  Make correct.o depend on version.h so that "ispell -a" always
# reports the correct version.
#
# Revision 1.97  1994/11/21  07:02:51  geoff
# Specify default values for the BUILD macros, so that some systems
# don't accidentally override them and make ispell think that the
# dictionaries are missing.
#
# Revision 1.96  1994/10/25  05:45:54  geoff
# Make the installation command configurable.
#
# Revision 1.95  1994/10/18  04:03:17  geoff
# Get rid of DICTVARIANTS, which is obsolete.  Compile term.o first, so
# that errors in it (which are common) will show up first.  Improve the
# rules for generation of msgs.h.
#
# Revision 1.94  1994/09/16  05:06:55  geoff
# Split installation up into basic and dictionary-building tools, so
# that we can have a partial-install target.
#
# Revision 1.93  1994/09/16  04:51:28  geoff
# Handle installations that have ELISPDIR but not TEXINFODIR
#
# Revision 1.92  1994/09/16  02:45:52  geoff
# Don't strip non-binaries.  Fix an accidentally-doubled backslash.
#
# Revision 1.91  1994/08/31  05:58:27  geoff
# Strip binaries before installing them.  Create directories before
# installing into them.  Make sure manual pages are installed with the
# correct protection modes.
#
# Revision 1.90  1994/05/25  04:29:16  geoff
# Don't remove english.4 after the English makefile has carefully
# installed it.
#
# Revision 1.89  1994/05/24  05:31:22  geoff
# Return to the old sed-based method of parsing LANGUAGES, so that things
# will work on broken systems like BSDI.
#
# Revision 1.88  1994/05/24  04:54:30  geoff
# Fix the emacs installation to use emacs batch mode properly, so that a
# terminal isn't required.
#
# Revision 1.87  1994/03/21  01:55:17  geoff
# If a hard link can't be made to msgs.h, copy it instead
#
# Revision 1.86  1994/02/22  06:09:03  geoff
# Add SHELLDEBUG.  Change the language-subdirs target to use the shell
# IFS variable to parse things, simplifying things and improving
# efficiency (thanks to Hagen Ross for the idea and implemenation).
#
# Revision 1.85  1994/02/13  23:25:31  geoff
# Fix multiple-language processing to not pass subsequent specifications to
# the first Makefile.  Also fix the language shell loop to be more flexible.
#
# Revision 1.84  1994/02/07  08:10:40  geoff
# When processing the LANGUAGES configuration variable (from local.h),
# use sed instead of expr to process it.  This gets around versions of
# expr that have 127-character limitations (though it probably still
# limits us to 512 characters with some versions of sed, so further work
# may be needed here).
#
# Revision 1.83  1994/02/07  06:31:20  geoff
# Clarify how to change variables in local.h
#
# Revision 1.82  1994/02/07  06:29:31  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.81  1994/02/07  05:35:34  geoff
# Make realclean run dictclean
#
# Revision 1.80  1994/01/26  07:44:43  geoff
# Make yacc configurable through local.h.
#
# Revision 1.79  1994/01/25  07:11:11  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

#
# !!!DO NOT EDIT HERE!!!
#
# Unlike previous versions of ispell, there should be no need to edit
# your Makefile.  Instead, #define the corresponding variables in your
# local.h file; the Makefile will automatically pick them up.  The
# only reason you should need to edit the Makefile might to be to add
# non-English dictionary support.
#
# For example, if you want to set CFLAGS to "-g -Wall", don't put it
# here.  Put:
#
#	#define CFLAGS	"-g -Wall"
#
# in local.h.  Otherwise, it won't have any effect.
#
EXTRADICT = Use_config.sh

SHELL = /bin/sh
MAKE = make

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	config.sh
all:	programs defmt-programs showversion ispell.1 ispell.5
all:	all-languages

programs: buildhash findaffix tryaffix ispell
programs: icombine ijoin munchlist
programs: subset zapdups

defmt-programs:
	cd deformatters; $(MAKE) all

showversion:	ispell
	-./ispell -v | sed -e 1q

.c.o:
	@. ./config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -c $<

#
# The funny business with y_tab.c is necessary for MS-DOS systems,
# where filenames can't have multiple periods.
#
.y.o:
	@. ./config.sh; \
	  set -x; \
	  $$YACC $<; \
	  [ -f y_tab.c ]  ||  mv y.tab.c y_tab.c; \
	  $$CC $$CFLAGS -c y_tab.c; \
	  mv y_tab.o $@; \
	  rm -f y_tab.c

all-languages:	munchable
	$(MAKE) LANGUAGE_TARGET=all SHELLDEBUG=$(SHELLDEBUG) language-subdirs

install: config.sh all install-basic install-deformatters
install: install-dictbuild install-languages

partial-install: config.sh all install-basic install-languages

install-basic:
	@. ./config.sh; \
	  set -x; \
	  [ -d $$BINDIR ]  ||  $(MAKE) NEWDIR=$$BINDIR mkdirpath; \
	  cd $$BINDIR; \
	  rm -f ispell$$EXEEXT
	@. ./config.sh; \
	  set -x; \
	  $$INSTALL ispell$$EXEEXT $$BINDIR
	@. ./config.sh; \
	  set -x; \
	  cd $$BINDIR; \
	  strip ispell$$EXEEXT; \
	  chmod 755 ispell$$EXEEXT
	@. ./config.sh; \
	  set -x; \
	  [ -d $$MAN1DIR ]  ||  $(MAKE) NEWDIR=$$MAN1DIR mkdirpath; \
	  [ -d $$MAN45DIR ]  ||  $(MAKE) NEWDIR=$$MAN45DIR mkdirpath; \
	  cd $$MAN1DIR; \
	    rm -f ispell$$MAN1EXT; \
	  cd $$MAN45DIR; \
	    rm -f ispell$$MAN45EXT
	@. ./config.sh; \
	  set -x; \
	  $$INSTALL ispell.1 $$MAN1DIR/ispell$$MAN1EXT; \
	  $$INSTALL ispell.5 $$MAN45DIR/ispell$$MAN45EXT
	@. ./config.sh; \
	  set -x; \
	  cd $$MAN1DIR; \
	  chmod 644 ispell$$MAN1EXT; \
	  cd $$MAN45DIR; \
	  chmod 644 ispell$$MAN45EXT

=== deformatters/Makefile ===
#
# $Id: Makefile,v 1.7 2005/05/01 23:04:58 geoff Exp $
#
# Copyright 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#

#
# $Log: Makefile,v $
# Revision 1.7  2005/05/01 23:04:58  geoff
# Add EXEEXT to executables for DOS portability (courtesy of Eli Zaretskii).
#
# Revision 1.6  2004/06/02 06:30:28  geoff
# Add .c: and .o: rules so proper flags are always used.
#
# Revision 1.5  2004/06/02 06:28:12  geoff
# Minor license update
#
# Revision 1.4  2001/09/06 00:35:18  geoff
# Shorten names so that the deformatters can be built on MS-DOS.
#
# Revision 1.3  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.2  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.1  2001/06/07 07:23:54  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

PROGRAMS = defmt-c$(EXEEXT) defmt-sh$(EXEEXT)

all:	$(PROGRAMS)

defmt-c: defmt-c.o
defmt-sh: defmt-sh.o

.c.o:
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -c $<

.c:
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -o $@ $<

.o:
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -o $@ $<

install: all
	@. ../config.sh; \
	  set -x; \
	  rm -f $$BINDIR/deformat-c $$BINDIR/deformat-sh
	@. ../config.sh; \
	  set -x; \
	  $$INSTALL $(PROGRAMS) $$BINDIR
	@. ../config.sh; \
	  set -x; \
	  cd $$BINDIR; \
	  strip $(PROGRAMS); \
	  chmod 755 $(PROGRAMS)

clean:
	rm -f *.o core a.out mon.out $(PROGRAMS)

realclean veryclean:	clean

=== languages/altamer/Makefile ===
#
# $Id: Makefile,v 1.8 2005/04/14 21:27:39 geoff Exp $
#
# Copyright 1994, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This Makefile allows a single installation to build an alternate
# American variant of ispell's English dictionary.  It depends on the
# languages/english directory for most of its input files.
#
# $Log: Makefile,v $
# Revision 1.8  2005/04/14 21:27:39  geoff
# Build english.5 as part of installation.
#
# Revision 1.7  2005/04/14 13:25:20  geoff
# Update license.  Drop unsq.  Changes from Ed Avis: Allow LIBDIR to be
# a relative path.  Allow symbolic links as a configuration option.
#
# Revision 1.6  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.5  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.4  1999/01/07 01:23:22  geoff
# Update the copyright.  Get rid of the old shar-based dictioary building.
#
# Revision 1.3  1994/08/31  05:58:56  geoff
# Create directories before installing into them, and be sure to set the
# proper modes on manual pages.
#
# Revision 1.2  1994/05/17  06:37:43  geoff
# Explicitly specify the affix files with a path so that initial
# installation will work correctly.
#
# Revision 1.1  1994/04/27  02:46:22  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# There are four progressively-larger English dictionaries distributed
# with ispell.  These are named english.sml, english.med, english.lrg,
# and english.xlg.  For each of these, you can also build a "plus"
# version (english.sml+, etc.)  which is created by combining the
# distributed version with an "extra" dictionary defined by EXTRADICT,
# usually /usr/share/dict/words.  The "plus" versions of dictionaries
# require lots of time and temporary file space; make sure you have
# set TMPDIR appropriately.
#
# The dictionaries to be built are listed in the MASTERDICTS variable,
# separated by spaces.  The hash files to be built (and installed) are
# listed in the HASHFILES variable.  Hash files are named as
# "altamer<xxx>.hash", where <xxx> is the suffix of dictionary (e.g.,
# "med+").  The first-listed hash file will also be installed under
# the name "altamer.hash".  As a general rule, the dictionaries
# needed to build the HASHFILES must be listed in the MASTERDICTS
# variable.
#
# If you change AFFIXES for english, you should consider also changing
# DEFLANG (in config.X) to match.
#
MASTERDICTS	=	Use_LANGUAGES_from_config.X
HASHFILES	=	Use_LANGUAGES_from_config.X
EXTRADICT	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	english.aff
LANGUAGE =	altamer

#
# DICTSRC specifies where the dictionary sources are found.  You
# should not have to change this.
#
DICTSRC =	../english

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:  $(CONFIG)
	@set $(SHELLDEBUG); \
	if [ ! -r english.0 ]; \
	then \
	    $(MAKE) SHELLDEBUG=$(SHELLDEBUG) CBUILD= dictcomponents; \
	else \
	    : ; \
	fi
	@set $(SHELLDEBUG); \
	for dict in $(MASTERDICTS); do \
	    if [ ! -r $$dict ]; \
	    then \
		$(MAKE) DBUILD= \
		  'EXTRADICT=$(EXTRADICT)' 'DICTSRC=$(DICTSRC)' \
		  SHELLDEBUG=$(SHELLDEBUG) $$dict; \
	    else \
		: ; \
	    fi; \
	done
	$(MAKE) SHELLDEBUG=$(SHELLDEBUG) $(HASHFILES)

# Note the fooling around with LIBDIR.  It might be a relative path,
# relative to the top of the ispell source tree.  So we have to cd to
# ../.. before referring to $LIBDIR.  There must be a better way...
# 
install:	all $(CONFIG) $(DICTSRC)/english.5
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$LIBDIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
	  cd $$LIBDIR; rm -f english.aff $(HASHFILES) $(LANGUAGE).hash
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.aff $(HASHFILES) \
	    `cd ../..; cd $$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $$LIBDIR; \
	  chmod 644 english.aff $(HASHFILES); \
	  for i in $(HASHFILES); do \
	    $$LINK $$i $(LANGUAGE).hash; \
	    break; \
	  done
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$MAN45DIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$MAN45DIR mkdirpath; \
	  cd $$MAN45DIR; \
	    rm -f english$$MAN45EXT
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.5 \
	    `cd ../..; cd $$MAN45DIR; pwd`/english$$MAN45EXT; \
	  cd ../..; \
	  chmod 644 $$MAN45DIR/english$$MAN45EXT

$(DICTSRC)/english.5:	$(DICTSRC)/english.5X $(CONFIG)
	cd $(DICTSRC); $(MAKE) english.5

#
#	Dependencies to build extra hash files
#
allhashes:	normhashes plushashes
normhashes:	altamersml.hash altamermed.hash
normhashes:	altamerlrg.hash altamerxlg.hash
plushashes:	altamersml+.hash altamermed+.hash
plushashes:	altamerlrg+.hash altamerxlg+.hash

altamersml.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.sml
	rm -f altamersml.hash
	$(BUILDHASH) altamer.sml $(DICTSRC)/$(AFFIXES) altamersml.hash

altamersml+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.sml+
	rm -f altamersml+.hash
	$(BUILDHASH) altamer.sml+ $(DICTSRC)/$(AFFIXES) altamersml+.hash

altamermed.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.med
	rm -f altamermed.hash
	$(BUILDHASH) altamer.med $(DICTSRC)/$(AFFIXES) altamermed.hash

altamermed+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.med+
	rm -f altamermed+.hash
	$(BUILDHASH) altamer.med+ $(DICTSRC)/$(AFFIXES) altamermed+.hash

altamerlrg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.lrg
	rm -f altamerlrg.hash
	$(BUILDHASH) altamer.lrg $(DICTSRC)/$(AFFIXES) altamerlrg.hash

altamerlrg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.lrg+
	rm -f altamerlrg+.hash
	$(BUILDHASH) altamer.lrg+ $(DICTSRC)/$(AFFIXES) altamerlrg+.hash

altamerxlg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.xlg
	rm -f altamerxlg.hash
	$(BUILDHASH) altamer.xlg $(DICTSRC)/$(AFFIXES) altamerxlg.hash

altamerxlg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.xlg+
	rm -f altamerxlg+.hash
	$(BUILDHASH) altamer.xlg+ $(DICTSRC)/$(AFFIXES) altamerxlg+.hash

#
#	The eight dictionaries, altamer.sml through altamer.xlg+, are
#	built by the following dependencies.  The macros "CBUILD" and
#	"DBUILD" are a sneaky trick used to keep make from trying to
#	run munchlist every time a minor change is made to one of the
#	C programs.  If you define these macros as null, "make all"
#	will automatically build the dictionaries.  If you leave them
#	with their default definitions, "make all" will leave the
#	dictionaries alone, and you will have to type something like
#	"make buildaltamer.med+" to build the dictionary using
#	munchlist.
#
#	Why two macros?  So you can delete {eng,amer,altamer,brit}.[012].??
#	to save space, and still type "make DBUILD= all".
#
#	The following dependencies are convenient ways to make some or
#	all of the dictionaries.
#
BUILD	=	build
CBUILD	=	$(BUILD)
DBUILD	=	$(BUILD)

alldicts:	normdicts plusdicts
normdicts:	$(DBUILD)altamer.sml
normdicts:	$(DBUILD)altamer.med
normdicts:	$(DBUILD)altamer.lrg
normdicts:	$(DBUILD)altamer.xlg
plusdicts:	$(DBUILD)altamer.sml+
plusdicts:	$(DBUILD)altamer.med+
plusdicts:	$(DBUILD)altamer.lrg+
plusdicts:	$(DBUILD)altamer.xlg+

$(DBUILD)altamer.sml:	$(DBUILD)english.sml
	rm -f altamer.sml
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.sml altamer.sml

$(DBUILD)english.sml:	$(CONFIG)
$(DBUILD)english.sml:	english.0
$(DBUILD)english.sml:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml

$(DBUILD)altamer.sml+:	$(DBUILD)english.sml+
	rm -f altamer.sml+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.sml+ altamer.sml+

$(DBUILD)english.sml+:	$(CONFIG)
$(DBUILD)english.sml+:	english.0
$(DBUILD)english.sml+:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml+

$(DBUILD)altamer.med:	$(DBUILD)english.med
	rm -f altamer.med
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.med altamer.med

$(DBUILD)english.med:	$(CONFIG)
$(DBUILD)english.med:	english.0
$(DBUILD)english.med:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med

$(DBUILD)altamer.med+:	$(DBUILD)english.med+
	rm -f altamer.med+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.med+ altamer.med+

$(DBUILD)english.med+:	$(CONFIG)
$(DBUILD)english.med+:	english.0
$(DBUILD)english.med+:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med+

$(DBUILD)altamer.lrg:	$(DBUILD)english.lrg
	rm -f altamer.lrg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.lrg altamer.lrg

$(DBUILD)english.lrg:	$(CONFIG)
$(DBUILD)english.lrg:	english.0
$(DBUILD)english.lrg:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg

$(DBUILD)altamer.lrg+:	$(DBUILD)english.lrg+
	rm -f altamer.lrg+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.lrg+ altamer.lrg+

$(DBUILD)english.lrg+:	$(CONFIG)
$(DBUILD)english.lrg+:	english.0
$(DBUILD)english.lrg+:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg+

$(DBUILD)altamer.xlg:	$(DBUILD)english.xlg
	rm -f altamer.xlg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.xlg altamer.xlg

$(DBUILD)english.xlg:	$(CONFIG)
$(DBUILD)english.xlg:	english.0
$(DBUILD)english.xlg:	altamer.0

=== languages/american/Makefile ===
#
# $Id: Makefile,v 1.9 2005/04/14 21:27:25 geoff Exp $
#
# Copyright 1994, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This Makefile allows a single installation to build an American
# variant of ispell's English dictionary.  It depends on the
# languages/english directory for most of its input files.
#
# $Log: Makefile,v $
# Revision 1.9  2005/04/14 21:27:25  geoff
# Build english.5 as part of installation.
#
# Revision 1.8  2005/04/14 13:25:20  geoff
# Update license.  Drop unsq.  Changes from Ed Avis: Allow LIBDIR to be
# a relative path.  Allow symbolic links as a configuration option.
#
# Revision 1.7  2001/07/25 21:51:47  geoff
# *** empty log message ***
#
# Revision 1.6  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.5  1999/01/07 01:23:18  geoff
# Update the copyright.  Get rid of the old shar-based dictioary building.
#
# Revision 1.4  1995/01/08  23:24:15  geoff
# Remember to set SHELLDEBUG when making dictcomponents.
#
# Revision 1.3  1994/08/31  05:58:53  geoff
# Create directories before installing into them, and be sure to set the
# proper modes on manual pages.
#
# Revision 1.2  1994/05/17  06:37:40  geoff
# Explicitly specify the affix files with a path so that initial
# installation will work correctly.
#
# Revision 1.1  1994/04/27  02:46:10  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# There are four progressively-larger English dictionaries distributed
# with ispell.  These are named english.sml, english.med, english.lrg,
# and english.xlg.  For each of these, you can also build a "plus"
# version (english.sml+, etc.)  which is created by combining the
# distributed version with an "extra" dictionary defined by EXTRADICT,
# usually /usr/share/dict/words.  The "plus" versions of dictionaries
# require lots of time and temporary file space; make sure you have
# set TMPDIR appropriately.
#
# The dictionaries to be built are listed in the MASTERDICTS variable,
# separated by spaces.  The hash files to be built (and installed) are
# listed in the HASHFILES variable.  Hash files are named as
# "american<xxx>.hash", where <xxx> is the suffix of dictionary (e.g.,
# "med+").  The first-listed hash file will also be installed under
# the name "american.hash".  As a general rule, the dictionaries
# needed to build the HASHFILES must be listed in the MASTERDICTS
# variable.
#
# If you change AFFIXES for english, you should consider also changing
# DEFLANG (in config.X) to match.
#
MASTERDICTS	=	Use_LANGUAGES_from_config.X
HASHFILES	=	Use_LANGUAGES_from_config.X
EXTRADICT	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	english.aff
LANGUAGE =	american

#
# DICTSRC specifies where the dictionary sources are found.  You
# should not have to change this.
#
DICTSRC =	../english

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:  $(CONFIG)
	@set $(SHELLDEBUG); \
	if [ ! -r english.0 ]; \
	then \
	    $(MAKE) SHELLDEBUG=$(SHELLDEBUG) CBUILD= dictcomponents; \
	else \
	    : ; \
	fi
	@set $(SHELLDEBUG); \
	for dict in $(MASTERDICTS); do \
	    if [ ! -r $$dict ]; \
	    then \
		$(MAKE) DBUILD= \
		  'EXTRADICT=$(EXTRADICT)' 'DICTSRC=$(DICTSRC)' \
		  SHELLDEBUG=$(SHELLDEBUG) $$dict; \
	    else \
		: ; \
	    fi; \
	done
	$(MAKE) SHELLDEBUG=$(SHELLDEBUG) $(HASHFILES)

# Note the fooling around with LIBDIR.  It might be a relative path,
# relative to the top of the ispell source tree.  So we have to cd to
# ../.. before referring to $LIBDIR.  There must be a better way...
# 
install:	all $(CONFIG) $(DICTSRC)/english.5
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$LIBDIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
	  cd $$LIBDIR; rm -f english.aff $(HASHFILES) $(LANGUAGE).hash
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.aff $(HASHFILES) \
	    `cd ../..; cd $$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $$LIBDIR; \
	  chmod 644 english.aff $(HASHFILES); \
	  for i in $(HASHFILES); do \
	    $$LINK $$i $(LANGUAGE).hash; \
	    break; \
	  done
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$MAN45DIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$MAN45DIR mkdirpath; \
	  cd $$MAN45DIR; \
	    rm -f english$$MAN45EXT
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.5 \
	    `cd ../..; cd $$MAN45DIR; pwd`/english$$MAN45EXT; \
	  cd ../..; \
	  chmod 644 $$MAN45DIR/english$$MAN45EXT

$(DICTSRC)/english.5:	$(DICTSRC)/english.5X $(CONFIG)
	cd $(DICTSRC); $(MAKE) english.5

#
#	Dependencies to build extra hash files
#
allhashes:	normhashes plushashes
normhashes:	americansml.hash americanmed.hash
normhashes:	americanlrg.hash americanxlg.hash
plushashes:	americansml+.hash americanmed+.hash
plushashes:	americanlrg+.hash americanxlg+.hash

americansml.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.sml
	rm -f americansml.hash
	$(BUILDHASH) american.sml $(DICTSRC)/$(AFFIXES) americansml.hash

americansml+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.sml+
	rm -f americansml+.hash
	$(BUILDHASH) american.sml+ $(DICTSRC)/$(AFFIXES) americansml+.hash

americanmed.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.med
	rm -f americanmed.hash
	$(BUILDHASH) american.med $(DICTSRC)/$(AFFIXES) americanmed.hash

americanmed+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.med+
	rm -f americanmed+.hash
	$(BUILDHASH) american.med+ $(DICTSRC)/$(AFFIXES) americanmed+.hash

americanlrg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.lrg
	rm -f americanlrg.hash
	$(BUILDHASH) american.lrg $(DICTSRC)/$(AFFIXES) americanlrg.hash

americanlrg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.lrg+
	rm -f americanlrg+.hash
	$(BUILDHASH) american.lrg+ $(DICTSRC)/$(AFFIXES) americanlrg+.hash

americanxlg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.xlg
	rm -f americanxlg.hash
	$(BUILDHASH) american.xlg $(DICTSRC)/$(AFFIXES) americanxlg.hash

americanxlg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) american.xlg+
	rm -f americanxlg+.hash
	$(BUILDHASH) american.xlg+ $(DICTSRC)/$(AFFIXES) americanxlg+.hash

#
#	The eight dictionaries, american.sml through american.xlg+, are
#	built by the following dependencies.  The macros "CBUILD" and
#	"DBUILD" are a sneaky trick used to keep make from trying to
#	run munchlist every time a minor change is made to one of the
#	C programs.  If you define these macros as null, "make all"
#	will automatically build the dictionaries.  If you leave them
#	with their default definitions, "make all" will leave the
#	dictionaries alone, and you will have to type something like
#	"make buildamerican.med+" to build the dictionary using
#	munchlist.
#
#	Why two macros?  So you can delete {eng,amer,altamer,brit}.[012].??
#	to save space, and still type "make DBUILD= all".
#
#	The following dependencies are convenient ways to make some or
#	all of the dictionaries.
#
BUILD	=	build
CBUILD	=	$(BUILD)
DBUILD	=	$(BUILD)

alldicts:	normdicts plusdicts
normdicts:	$(DBUILD)american.sml
normdicts:	$(DBUILD)american.med
normdicts:	$(DBUILD)american.lrg
normdicts:	$(DBUILD)american.xlg
plusdicts:	$(DBUILD)american.sml+
plusdicts:	$(DBUILD)american.med+
plusdicts:	$(DBUILD)american.lrg+
plusdicts:	$(DBUILD)american.xlg+

$(DBUILD)american.sml:	$(DBUILD)english.sml
	rm -f american.sml
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.sml american.sml

$(DBUILD)english.sml:	$(CONFIG)
$(DBUILD)english.sml:	english.0
$(DBUILD)english.sml:	american.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=american \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml

$(DBUILD)american.sml+:	$(DBUILD)english.sml+
	rm -f american.sml+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.sml+ american.sml+

$(DBUILD)english.sml+:	$(CONFIG)
$(DBUILD)english.sml+:	english.0
$(DBUILD)english.sml+:	american.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=american \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml+

$(DBUILD)american.med:	$(DBUILD)english.med
	rm -f american.med
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.med american.med

$(DBUILD)english.med:	$(CONFIG)
$(DBUILD)english.med:	english.0
$(DBUILD)english.med:	american.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=american \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med

$(DBUILD)american.med+:	$(DBUILD)english.med+
	rm -f american.med+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.med+ american.med+

$(DBUILD)english.med+:	$(CONFIG)
$(DBUILD)english.med+:	english.0
$(DBUILD)english.med+:	american.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=american \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med+

$(DBUILD)american.lrg:	$(DBUILD)english.lrg
	rm -f american.lrg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.lrg american.lrg

$(DBUILD)english.lrg:	$(CONFIG)
$(DBUILD)english.lrg:	english.0
$(DBUILD)english.lrg:	american.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=american \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg

$(DBUILD)american.lrg+:	$(DBUILD)english.lrg+
	rm -f american.lrg+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.lrg+ american.lrg+

$(DBUILD)english.lrg+:	$(CONFIG)
$(DBUILD)english.lrg+:	english.0
$(DBUILD)english.lrg+:	american.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=american \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg+

$(DBUILD)american.xlg:	$(DBUILD)english.xlg
	rm -f american.xlg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.xlg american.xlg

=== languages/british/Makefile ===
#
# $Id: Makefile,v 1.9 2005/04/14 21:27:35 geoff Exp $
#
# Copyright 1994, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This Makefile allows a single installation to build an British
# variant of ispell's English dictionary.  It depends on the
# languages/english directory for most of its input files.
#
# $Log: Makefile,v $
# Revision 1.9  2005/04/14 21:27:35  geoff
# Build english.5 as part of installation.
#
# Revision 1.8  2005/04/14 13:25:20  geoff
# Update license.  Drop unsq.  Changes from Ed Avis: Allow LIBDIR to be
# a relative path.  Allow symbolic links as a configuration option.
#
# Revision 1.7  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.6  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.5  1999/01/07 01:23:20  geoff
# Update the copyright.  Get rid of the old shar-based dictioary building.
#
# Revision 1.4  1995/01/08  23:24:18  geoff
# Remember to set SHELLDEBUG when making dictcomponents.
#
# Revision 1.3  1994/08/31  05:58:54  geoff
# Create directories before installing into them, and be sure to set the
# proper modes on manual pages.
#
# Revision 1.2  1994/05/17  06:37:42  geoff
# Explicitly specify the affix files with a path so that initial
# installation will work correctly.
#
# Revision 1.1  1994/04/27  02:45:55  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# There are four progressively-larger English dictionaries distributed
# with ispell.  These are named english.sml, english.med, english.lrg,
# and english.xlg.  For each of these, you can also build a "plus"
# version (english.sml+, etc.)  which is created by combining the
# distributed version with an "extra" dictionary defined by EXTRADICT,
# usually /usr/share/dict/words.  The "plus" versions of dictionaries
# require lots of time and temporary file space; make sure you have
# set TMPDIR appropriately.
#
# The dictionaries to be built are listed in the MASTERDICTS variable,
# separated by spaces.  The hash files to be built (and installed) are
# listed in the HASHFILES variable.  Hash files are named as
# "british<xxx>.hash", where <xxx> is the suffix of dictionary (e.g.,
# "med+").  The first-listed hash file will also be installed under
# the name "british.hash".  As a general rule, the dictionaries
# needed to build the HASHFILES must be listed in the MASTERDICTS
# variable.
#
# If you change AFFIXES for english, you should consider also changing
# DEFLANG (in config.X) to match.
#
MASTERDICTS	=	Use_LANGUAGES_from_config.X
HASHFILES	=	Use_LANGUAGES_from_config.X
EXTRADICT	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	english.aff
LANGUAGE =	british

#
# DICTSRC specifies where the dictionary sources are found.  You
# should not have to change this.
#
DICTSRC =	../english

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:  $(CONFIG)
	@set $(SHELLDEBUG); \
	if [ ! -r english.0 ]; \
	then \
	    $(MAKE) SHELLDEBUG=$(SHELLDEBUG) CBUILD= dictcomponents; \
	else \
	    : ; \
	fi
	@set $(SHELLDEBUG); \
	for dict in $(MASTERDICTS); do \
	    if [ ! -r $$dict ]; \
	    then \
		$(MAKE) DBUILD= \
		  'EXTRADICT=$(EXTRADICT)' 'DICTSRC=$(DICTSRC)' \
		  SHELLDEBUG=$(SHELLDEBUG) $$dict; \
	    else \
		: ; \
	    fi; \
	done
	$(MAKE) SHELLDEBUG=$(SHELLDEBUG) $(HASHFILES)

# Note the fooling around with LIBDIR.  It might be a relative path,
# relative to the top of the ispell source tree.  So we have to cd to
# ../.. before referring to $LIBDIR.  There must be a better way...
# 
install:	all $(CONFIG) $(DICTSRC)/english.5
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$LIBDIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
	  cd $$LIBDIR; rm -f english.aff $(HASHFILES) $(LANGUAGE).hash
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.aff $(HASHFILES) \
	    `cd ../..; cd $$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $$LIBDIR; \
	  chmod 644 english.aff $(HASHFILES); \
	  for i in $(HASHFILES); do \
	    $$LINK $$i $(LANGUAGE).hash; \
	    break; \
	  done
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$MAN45DIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$MAN45DIR mkdirpath; \
	  cd $$MAN45DIR; \
	    rm -f english$$MAN45EXT
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.5 \
	    `cd ../..; cd $$MAN45DIR; pwd`/english$$MAN45EXT; \
	  cd ../..; \
	  chmod 644 $$MAN45DIR/english$$MAN45EXT

$(DICTSRC)/english.5:	$(DICTSRC)/english.5X $(CONFIG)
	cd $(DICTSRC); $(MAKE) english.5

#
#	Dependencies to build extra hash files
#
allhashes:	normhashes plushashes
normhashes:	britishsml.hash britishmed.hash
normhashes:	britishlrg.hash britishxlg.hash
plushashes:	britishsml+.hash britishmed+.hash
plushashes:	britishlrg+.hash britishxlg+.hash

britishsml.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.sml
	rm -f britishsml.hash
	$(BUILDHASH) british.sml $(DICTSRC)/$(AFFIXES) britishsml.hash

britishsml+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.sml+
	rm -f britishsml+.hash
	$(BUILDHASH) british.sml+ $(DICTSRC)/$(AFFIXES) britishsml+.hash

britishmed.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.med
	rm -f britishmed.hash
	$(BUILDHASH) british.med $(DICTSRC)/$(AFFIXES) britishmed.hash

britishmed+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.med+
	rm -f britishmed+.hash
	$(BUILDHASH) british.med+ $(DICTSRC)/$(AFFIXES) britishmed+.hash

britishlrg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.lrg
	rm -f britishlrg.hash
	$(BUILDHASH) british.lrg $(DICTSRC)/$(AFFIXES) britishlrg.hash

britishlrg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.lrg+
	rm -f britishlrg+.hash
	$(BUILDHASH) british.lrg+ $(DICTSRC)/$(AFFIXES) britishlrg+.hash

britishxlg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.xlg
	rm -f britishxlg.hash
	$(BUILDHASH) british.xlg $(DICTSRC)/$(AFFIXES) britishxlg.hash

britishxlg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.xlg+
	rm -f britishxlg+.hash
	$(BUILDHASH) british.xlg+ $(DICTSRC)/$(AFFIXES) britishxlg+.hash

#
#	The eight dictionaries, british.sml through british.xlg+, are
#	built by the following dependencies.  The macros "CBUILD" and
#	"DBUILD" are a sneaky trick used to keep make from trying to
#	run munchlist every time a minor change is made to one of the
#	C programs.  If you define these macros as null, "make all"
#	will automatically build the dictionaries.  If you leave them
#	with their default definitions, "make all" will leave the
#	dictionaries alone, and you will have to type something like
#	"make buildbritish.med+" to build the dictionary using
#	munchlist.
#
#	Why two macros?  So you can delete {eng,amer,altamer,brit}.[012].??
#	to save space, and still type "make DBUILD= all".
#
#	The following dependencies are convenient ways to make some or
#	all of the dictionaries.
#
BUILD	=	build
CBUILD	=	$(BUILD)
DBUILD	=	$(BUILD)

alldicts:	normdicts plusdicts
normdicts:	$(DBUILD)british.sml
normdicts:	$(DBUILD)british.med
normdicts:	$(DBUILD)british.lrg
normdicts:	$(DBUILD)british.xlg
plusdicts:	$(DBUILD)british.sml+
plusdicts:	$(DBUILD)british.med+
plusdicts:	$(DBUILD)british.lrg+
plusdicts:	$(DBUILD)british.xlg+

$(DBUILD)british.sml:	$(DBUILD)english.sml
	rm -f british.sml
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.sml british.sml

$(DBUILD)english.sml:	$(CONFIG)
$(DBUILD)english.sml:	english.0
$(DBUILD)english.sml:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml

$(DBUILD)british.sml+:	$(DBUILD)english.sml+
	rm -f british.sml+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.sml+ british.sml+

$(DBUILD)english.sml+:	$(CONFIG)
$(DBUILD)english.sml+:	english.0
$(DBUILD)english.sml+:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml+

$(DBUILD)british.med:	$(DBUILD)english.med
	rm -f british.med
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.med british.med

$(DBUILD)english.med:	$(CONFIG)
$(DBUILD)english.med:	english.0
$(DBUILD)english.med:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med

$(DBUILD)british.med+:	$(DBUILD)english.med+
	rm -f british.med+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.med+ british.med+

$(DBUILD)english.med+:	$(CONFIG)
$(DBUILD)english.med+:	english.0
$(DBUILD)english.med+:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med+

$(DBUILD)british.lrg:	$(DBUILD)english.lrg
	rm -f british.lrg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.lrg british.lrg

$(DBUILD)english.lrg:	$(CONFIG)
$(DBUILD)english.lrg:	english.0
$(DBUILD)english.lrg:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg

$(DBUILD)british.lrg+:	$(DBUILD)english.lrg+
	rm -f british.lrg+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.lrg+ british.lrg+

$(DBUILD)english.lrg+:	$(CONFIG)
$(DBUILD)english.lrg+:	english.0
$(DBUILD)english.lrg+:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile 'DBUILD=$(DBUILD)' VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg+

$(DBUILD)british.xlg:	$(DBUILD)english.xlg
	rm -f british.xlg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK english.xlg british.xlg

$(DBUILD)english.xlg:	$(CONFIG)
$(DBUILD)english.xlg:	english.0
$(DBUILD)english.xlg:	british.0

=== languages/english/Makefile ===
#
# $Id: Makefile,v 1.29 2005/04/26 22:55:07 geoff Exp $
#
# Copyright 1993, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This Makefile is an example of how to build dictionaries for a
# complex language with many variants.  It supports both American and
# British English and four dictionary source files, and will build up
# to 8 dictionares from those 4 files by combining them with an
# optional installation-specific file.
#
# If you are building a new Makefile for your own language, this is
# probably not the right place to start.  Instead, you should select
# the "deutsch" Makefile, which is moderately complex, or one of the
# simple Makefiles for another language distributed with ispell.
#
# $Log: Makefile,v $
# Revision 1.29  2005/04/26 22:55:07  geoff
# Add code to protect against POSIX's astoundingly stupid decision to break
# backwards compatibility for the sort command.
#
# Revision 1.28  2005/04/13 22:58:43  geoff
# Update license.  Allow section-5 manuals to go into section 4 on
# systems that prefer it that way.
#
# Revision 1.27  2002/06/06 23:21:30  geoff
# Don't assume munchlist is in the PATH
#
# Revision 1.26  2001/07/25 21:51:47  geoff
# *** empty log message ***
#
# Revision 1.25  2001/07/23 20:43:37  geoff
# *** empty log message ***
#
# Revision 1.24  1999/01/07 01:23:16  geoff
# Update the copyright.  Get rid of the old shar-based dictioary building.
#
# Revision 1.23  1995/08/05  23:19:50  geoff
# Add tests to detect and suppress accidentally-generated zero-length
# dictionaries.
#
# Revision 1.22  1994/08/31  05:58:43  geoff
# Create directories before installing into them, and be sure to set the
# proper modes on manual pages.
#
# Revision 1.21  1994/05/25  04:29:30  geoff
# Get rid of all references to DEFHASH and defhash.
#
# Revision 1.20  1994/05/24  04:47:33  geoff
# Work around an RS-6000 shell deficiency in environment setting
#
# Revision 1.19  1994/05/17  06:37:36  geoff
# Fix the remove-on-abort code for the derived dictionaries to be more
# robust.
#
# Revision 1.18  1994/02/23  04:52:30  geoff
# Remove dictionaries being built if make is aborted early.
#
# Revision 1.17  1994/02/22  06:09:06  geoff
# Add SHELLDEBUG.
#
# Revision 1.16  1994/02/13  23:55:20  geoff
# Get rid of the temporary line that zapped "english..4" for people who
# had 3.1.00.
#
# Revision 1.15  1994/02/07  08:01:57  geoff
# Allow multiple variants and extradicts
#
# Revision 1.14  1994/02/07  07:08:10  geoff
# Install english.4 with the right name, removing the wrong one if it exists
#
# Revision 1.13  1994/02/07  06:18:18  geoff
# Add dummy else clauses to shell tests to handle Ultrix problems.  Add an
# eval to all sort commands to make sure that MAKE_SORTTMP is handled
# correctly on all systems.
#
# Revision 1.12  1994/01/25  08:50:34  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash
MUNCHLIST	=	../../munchlist

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# There are four progressively-larger English dictionaries distributed
# with ispell.  These are named english.sml, english.med, english.lrg,
# and english.xlg.  For each of these, you can also build a "plus"
# version (english.sml+, etc.)  which is created by combining the
# distributed version with an "extra" dictionary defined by EXTRADICT,
# usually /usr/share/dict/words.  The "plus" versions of dictionaries
# require lots of time and temporary file space; make sure you have
# set TMPDIR appropriately.
#
# The dictionaries to be built are listed in the MASTERDICTS variable,
# separated by spaces.  The hash files to be built (and installed) are
# listed in the HASHFILES variable.  Hash files are named by taking
# the suffix of the dictionary (e.g., "med+"), and adding ".hash".  As
# a general rule, the dictionaries needed to build the HASHFILES must
# be listed in the MASTERDICTS variable.
#
# British/American variants are supported by the VARIANTS variable.
# You should set VARIANTS to one of "american", "british", or
# "altamer".  The latter is a file of alternate American spellings,
# often British-derived.  I recommend against its use.  I also
# recommend against selecting more than one variant, because it tends
# to cause inconsistent or incorrect spellings to be hidden, although
# there is nothing to prevent such an unwise decision.
#
# If you change AFFIXES for english, you should consider also changing
# DEFLANG (in config.X) to match.
#
MASTERDICTS	=	Use_LANGUAGES_from_config.X
HASHFILES	=	Use_LANGUAGES_from_config.X
VARIANTS	=	Use_LANGUAGES_from_config.X
EXTRADICT	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	english.aff

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:  $(CONFIG) english.5
	@set $(SHELLDEBUG); \
	if [ ! -r english.0 ]; \
	then \
	    $(MAKE) SHELLDEBUG=$(SHELLDEBUG) CBUILD= dictcomponents; \
	else \
	    : ; \
	fi
	@set $(SHELLDEBUG); \
	for dict in $(MASTERDICTS); do \
	    if [ ! -r $$dict ]; \
	    then \
		$(MAKE) DBUILD= 'VARIANTS=$(VARIANTS)' \
		  'EXTRADICT=$(EXTRADICT)' \
		  SHELLDEBUG=$(SHELLDEBUG) $$dict; \
	    else \
		: ; \
	    fi; \
	done
	$(MAKE) SHELLDEBUG=$(SHELLDEBUG) $(HASHFILES)

# Note the fooling around with LIBDIR.  It might be a relative path,
# relative to the top of the ispell source tree.  So we have to cd to
# ../.. before referring to $LIBDIR.  There must be a better way...
# 
install: all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$LIBDIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
	  cd $$LIBDIR; rm -f english.aff $(HASHFILES)
	@. $(CONFIG); \
	  set -x; \
	  cp english.aff $(HASHFILES) \
	    `cd ../..; cd $$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $$LIBDIR; \
	  chmod 644 english.aff $(HASHFILES)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..;
	  [ -d $$MAN45DIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$MAN45DIR mkdirpath; \
	  cd $$MAN45DIR; \
	    rm -f english$$MAN45EXT
	@. $(CONFIG); \
	  set -x; \
	  cp english.5 `cd ../..; cd $$MAN45DIR; pwd`/english$$MAN45EXT; \
	  cd ../..; \
	  chmod 644 $$MAN45DIR/english$$MAN45EXT

#
#	Dependencies to build extra hash files
#
allhashes:	normhashes plushashes
normhashes:	sml.hash med.hash lrg.hash xlg.hash
plushashes:	sml+.hash med+.hash lrg+.hash xlg+.hash

#
# Note that we don't use $(MAKE) in the following dependencies.  There
# is a good reason for this -- if we did, "make -n" would still run
# buildhash.
#
sml.hash:	$(CONFIG) $(BUILDHASH)
sml.hash:	$(AFFIXES)
sml.hash:	english.sml
	rm -f sml.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.sml $(AFFIXES) $@

sml+.hash:	$(CONFIG) $(BUILDHASH)
sml+.hash:	$(AFFIXES)
sml+.hash:	english.sml+
	rm -f sml+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.sml+ $(AFFIXES) $@

med.hash:	$(BUILDHASH) $(CONFIG)
med.hash:	$(AFFIXES)
med.hash:	english.med
	rm -f med.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.med $(AFFIXES) $@

med+.hash:	$(BUILDHASH) $(CONFIG)
med+.hash:	$(AFFIXES)
med+.hash:	english.med+
	rm -f med+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.med+ $(AFFIXES) $@

lrg.hash:	$(BUILDHASH) $(CONFIG)
lrg.hash:	$(AFFIXES)
lrg.hash:	english.lrg
	rm -f lrg.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.lrg $(AFFIXES) $@

lrg+.hash:	$(BUILDHASH) $(CONFIG)
lrg+.hash:	$(AFFIXES)
lrg+.hash:	english.lrg+
	rm -f lrg+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.lrg+ $(AFFIXES) $@

xlg.hash:	$(BUILDHASH) $(CONFIG)
xlg.hash:	$(AFFIXES)
xlg.hash:	english.xlg
	rm -f xlg.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.xlg $(AFFIXES) $@

xlg+.hash:	$(BUILDHASH) $(CONFIG)
xlg+.hash:	$(AFFIXES)
xlg+.hash:	english.xlg+
	rm -f xlg+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.xlg+ $(AFFIXES) $@

#
#	The eight dictionaries, english.sml through english.xlg+, are
#	built by the following dependencies.  The macros "CBUILD" and
#	"DBUILD" are a sneaky trick used to keep make from trying to
#	run munchlist every time a minor change is made to one of the
#	C programs.  If you define these macros as null, "make all"
#	will automatically build the dictionaries.  If you leave them
#	with their default definitions, "make all" will leave the
#	dictionaries alone, and you will have to type something like
#	"make buildenglish.med+" to build the dictionary using
#	munchlist.
#
#	Why two macros?  So you can delete {eng,amer,altamer,brit}.[012].??
#	to save space, and still type "make DBUILD= all".
#
#	The following dependencies are convenient ways to make some or
#	all of the dictionaries.
#
BUILD	=	build
CBUILD	=	$(BUILD)
DBUILD	=	$(BUILD)

alldicts:	normdicts plusdicts
normdicts:	$(DBUILD)english.sml
normdicts:	$(DBUILD)english.med
normdicts:	$(DBUILD)english.lrg
normdicts:	$(DBUILD)english.xlg
plusdicts:	$(DBUILD)english.sml+
plusdicts:	$(DBUILD)english.med+
plusdicts:	$(DBUILD)english.lrg+
plusdicts:	$(DBUILD)english.xlg+

dictcomponents:

$(DBUILD)english.sml:	$(CONFIG)
$(DBUILD)english.sml:	english.0
$(DBUILD)english.sml:	american.0
$(DBUILD)english.sml:	altamer.0
$(DBUILD)english.sml:	british.0
	@. $(CONFIG); \
	    set $(SHELLDEBUG); \
	    dicts=""; \
	    for i in english $(VARIANTS); do \
		dicts="$$dicts $$i.0"; \
	    done; \
	    trap "rm -f english.sml" 1 2 15; \
	    set -x; \
	    (eval sort -u -t/ +0f -1 +0 $$MAKE_SORTTMP -o english.sml $$dicts \
		2> /dev/null \
	      ||  eval sort -u -t/ -k 1f,1 -k 1 $$MAKE_SORTTMP -o english.sml \
		$$dicts)

$(DBUILD)english.sml+:	$(CONFIG) $(EXTRADICT)
$(DBUILD)english.sml+:	english.0
$(DBUILD)english.sml+:	american.0
$(DBUILD)english.sml+:	altamer.0
$(DBUILD)english.sml+:	british.0
	@dicts="$(EXTRADICT)"; \
	set $(SHELLDEBUG); \
	for i in english $(VARIANTS); do \
	    dicts="$$dicts $$i.0"; \

=== languages/espanol/Makefile ===
#
# $Id: Makefile,v 1.4 2005/04/14 13:27:40 geoff Exp $
#
# Copyright 1993, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This makefile is an example of how you might write a makefile for a
# simple language which has only a single dictionary available.  For
# an example of a complex makefile, look at the makefile for English.
#
# $Log: Makefile,v $
# Revision 1.4  2005/04/14 13:27:40  geoff
# Update license.  Allow LIBDIR to be relative.  Be sure to get copies
# of buildhash and fix8bit from the source tree.  Drop unsq.
#
# Revision 1.6  1994/02/07  06:07:57  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.5  1994/01/25  07:12:44  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash
FIX8BIT		=	../fix8bit

#
# The following variables make it easy to adapt this Makefile to
# numerous languages.
#
LANGUAGE	=	espanol
DICTIONARY	=	$(LANGUAGE).words
HASHFILE	=	$(LANGUAGE).hash

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	$(LANGUAGE).aff

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	$(HASHFILE)

install: all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$LIBDIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
	  cd $$LIBDIR; rm -f $(LANGUAGE).aff $(HASHFILE)
	@. $(CONFIG); \
	  set -x; \
	  cp $(LANGUAGE).aff $(HASHFILE) \
	    `cd ../..; cd $$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $$LIBDIR; \
	  chmod 644 $(LANGUAGE).aff $(HASHFILE)

$(HASHFILE):	$(BUILDHASH) $(AFFIXES) $(DICTIONARY)
	rm -f $(HASHFILE)
	munchlist -v -l $(AFFIXES) $(DICTIONARY) > $(LANGUAGE).words+
	$(BUILDHASH) $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

build:
	$(BUILDHASH) -s $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

$(LANGUAGE)-alt.aff:	$(LANGUAGE)-alt.7bit $(FIX8BIT)
	$(FIX8BIT) -8 < $(LANGUAGE)-alt.7bit > $(LANGUAGE)-alt.aff

$(FIX8BIT):	../fix8bit.c
	cd ..; $(MAKE) fix8bit

#
#	The following dependency can be executed when ispell is unpacked,
#	to unpack the dictionaries.
#
unpack:	$(AFFIXES)

clean:
	rm -f core *.hash *.stat *.cnt

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
kitclean:

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
dictclean:

=== languages/nederlands/Makefile ===
#
# $Id: Makefile,v 1.8 2005/04/14 00:07:23 geoff Exp $
#
# Copyright 1993, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This makefile is an example of how you might write a makefile for a
# simple language which has only a single dictionary available.  For
# an example of a complex makefile, look at the makefile for English.
#
# $Log: Makefile,v $
# Revision 1.8  2005/04/14 00:07:23  geoff
# Update license.  Drop unsq.  Allow LIBDIR to be a relative path.
#
# Revision 1.7  2001/07/25 21:51:47  geoff
# *** empty log message ***
#
# Revision 1.6  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.5  1994/08/31 05:58:50  geoff
# Create directories before installing into them.
#
# Revision 1.4  1994/02/22  06:09:11  geoff
# Add SHELLDEBUG.
#
# Revision 1.3  1994/02/07  06:07:57  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.2  1994/01/25  07:12:45  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash
FIX8BIT		=	../fix8bit

#
# The following variables make it easy to adapt this Makefile to
# numerous languages.
#
LANGUAGE	=	nederlands
DICTIONARY	=	$(LANGUAGE).sml
HASHFILE	=	$(LANGUAGE).hash

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	$(LANGUAGE).aff

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	$(HASHFILE)

install: all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$LIBDIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
	  cd $$LIBDIR; rm -f $(LANGUAGE).aff $(HASHFILE)
	@. $(CONFIG); \
	  set -x; \
	  cp $(LANGUAGE).aff $(HASHFILE) \
	    `cd ../..; cd $$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $$LIBDIR; \
	  chmod 644 $(LANGUAGE).aff $(HASHFILE)

$(HASHFILE):	$(BUILDHASH) $(AFFIXES) $(DICTIONARY)
	rm -f $(HASHFILE)
	$(BUILDHASH) $(DICTIONARY) $(AFFIXES) $(HASHFILE)

$(AFFIXES):	$(LANGUAGE).7bit $(FIX8BIT)
	$(FIX8BIT) -8 < $(LANGUAGE).7bit > $(AFFIXES)

$(FIX8BIT):	../fix8bit.c
	cd ..; $(MAKE) fix8bit

#
#	The following dependency can be executed when ispell is unpacked,
#	to unpack the dictionaries.
#
unpack:	$(AFFIXES)

clean:
	rm -f core *.hash *.stat *.cnt

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
kitclean:

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
dictclean:

=== languages/svenska/Makefile ===
#
# $Id: Makefile,v 1.10 2005/04/14 00:08:11 geoff Exp $
#
# Copyright 1993, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This makefile is an example of how you might write a makefile for a
# simple language which has only a single dictionary available.  For
# an example of a complex makefile, look at the makefile for English.
#
# $Log: Makefile,v $
# Revision 1.10  2005/04/14 00:08:11  geoff
# Update license.  Drop unsq.  Allow LIBDIR to be a relative path.
#
# Revision 1.9  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.8  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.7  1994/08/31 05:59:02  geoff
# Create directories before installing into them.
#
# Revision 1.6  1994/02/22  06:09:16  geoff
# Add SHELLDEBUG.
#
# Revision 1.5  1994/02/07  06:07:57  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.4  1994/01/25  07:12:50  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash
FIX8BIT		=	../fix8bit

#
# The following variables make it easy to adapt this Makefile to
# numerous languages.
#
LANGUAGE	=	svenska
DICTIONARY	=	$(LANGUAGE).sml
HASHFILE	=	$(LANGUAGE).hash

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	$(LANGUAGE).aff

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	$(HASHFILE)

install: all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $$LIBDIR ]  || \
	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
	  cd $$LIBDIR; rm -f $(LANGUAGE).aff $(HASHFILE)
	@. $(CONFIG); \
	  set -x; \
	  cp $(LANGUAGE).aff $(HASHFILE) \
	    `cd ../..; cd $$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $$LIBDIR; \
	  chmod 644 $(LANGUAGE).aff $(HASHFILE)

$(HASHFILE):	$(BUILDHASH) $(AFFIXES) $(DICTIONARY)
	rm -f $(HASHFILE)
	$(BUILDHASH) $(DICTIONARY) $(AFFIXES) $(HASHFILE)

$(AFFIXES):	$(LANGUAGE).7bit $(FIX8BIT)
	$(FIX8BIT) -8 < $(LANGUAGE).7bit > $(AFFIXES)

$(FIX8BIT):	../fix8bit.c
	cd ..; $(MAKE) fix8bit

#
#	The following dependency can be executed when ispell is unpacked,
#	to unpack the dictionaries.
#
unpack:	$(AFFIXES)

clean:
	rm -f core *.hash *.stat *.cnt

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
kitclean:

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
dictclean:

=== debian/changelog ===
ispell (3.3.02-6) unstable; urgency=low

  * debian/control:
    + mark ispell package as `Multi-Arch: foreign' (closes: #695102);
    + update VCS fields.

 -- Robert Luberda <robert@debian.org>  Mon, 10 Dec 2012 22:56:16 +0100

ispell (3.3.02-5) unstable; urgency=low

  * Fix a typo in ibritish-huge description (closes: #630240).
  * Replace `The package also recommends' with `The package also suggests' in
    packages' descriptions (closes: #630243).
  * Standards-Version: 3.9.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 15 Jun 2011 07:58:21 +0200

ispell (3.3.02-4) unstable; urgency=low

  * Upload to unstable.
  * Add a debian/NEWS file for the recent changes.
  * gen_debhelper_files.pl: remove the ` - medium' part from iamerican and
    ibritish debconf prompts (closes: #619651).
  * debian/control:
    + make sure ienglish-common recommends' include both iamerican* and
      ibritish* packages (closes: #619922);
    + fix a typo in iamerican-huge description (closes: #619924);
    + bump (build-)dependencies on dictionaries-common(-dev) to >= 1.10.6~ to
      have #619620 fixed;
    + add VCS fields;
    + make dictionary packages to depend on ispell and dictionaries-common-dev
      to have their versions included in  reportbug(1) generated reports.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Mar 2011 20:18:06 +0200

ispell (3.3.02-3) experimental; urgency=low

  * debian/rules: add a work-around for autobuilders not obeying Policy
    (see #619284). If not all build-dependencies are installed, then
    postpone building arch-independent stuff until binary(-indep) target
    is called.

  * 0029-Generate-hex-in-fix8bit.patch: Make `fix8bit -7' to generate
    hexadecimal sequences instead of octal ones.
  * 0030-Display-whole-multibyte-character.patch: Display all bytes from
    multi-byte characters instead of converting them into `cat -v' format.

 -- Robert Luberda <robert@debian.org>  Wed, 23 Mar 2011 08:17:00 +0100

ispell (3.3.02-2) experimental; urgency=low

  * Provide small, large, huge and insane version of American and British
    ispell dictionaries (closes: #261611), that include words from the
    appropriate word list packages. The new {ibritish,iamerican}-{small,large,
    huge,insane} packages were added together with ienglish-common, the base
    one.

    With the new dictionaries (especially with the large or huge ones),
    ispell is able to accept more American or British words:

    + words accepted by `ispell -d british':
      neighbour (closes: #282934);

    + words accepted by `ispell -d british-large':
      Cambridgeshire, Hertfordshire and other counties (closes: #151470);

    + words accepted by `ispell -d american':
      Oedipus (closes: #442089);          Wiki (closes: #417097);
      bidirectional (closes: #440211);    decompiler (closes: #404870);
      glitz (closes: #434709);            looseness (closes: #464162);
      misestimate (closes: #354301);      one's (closes: #586600);
      online (closes: #405125);           public's (closes: #415049);
      spottily (closes: #307235);         submitters (closes: #440052);
      talkies (closes: #294262);          timestamp (closes: #402781);
      unencrypted (closes: #389899);      uninterruptible (closes: #366895);
      faceted, facetted (closes: #417096);
      wildcards, wildcards (closes: #394271);
      analyses, analyzes, analysis (closes: #602055);

    + words accepted by `ispell -d american-large':
      Los Angeles (closes: #431913);     Singaporean (closes: #440132);
      backgrounder (closes: #380568);    basketful (closes: #325252);
      cadastral (closes: #309000);       carful (closes: #417166);
      colorization (closes: #307410);    congresspeople (closes: #448389);
      cowbells (closes: #356744);        cutover (closes: #454338);
      dumplings (closes: #317483);       examinee (closes: #305077);
      fetchers (closes: #447912);        gappy (closes: #349100);
      godawful (closes: #392444);        halftone (closes: #305585);
      hammerers (closes: #458591);       hotline (closes: #312268);
      hunky (closes: #471116);           infract (closes: #451732);
      jackfruit (closes: #413711);       jittering (closes: #413763);
      kindergartener (closes: #324212);  lakefront (closes: #314366);
      landmine (closes: #456445);        milkshakes (closes: #464942);
      mindset (closes: #312944);         mislabeled (closes: #451730);
      motorless (closes: #386566);       mugshot (closes: #437441);
      nutcase (closes: #443527);         oldfangled (closes: #393833);
      polycarbonate (closes: #336963);   reacquiring (closes: #466488);
      reconfirm (closes: #447820);       reprogrammable (closes: #368142);
      retitle (closes: #372674);         screenful (closes: #348825);
      searchable (closes: #426620);      seatbelt (closes: #326974);
      seeable (closes: #382219);         serration (closes: #434009);
      signage (closes: #395975);         smorgasbord (closes: #442023);
      sordine (closes: #356743);         stakeholder (closes: #471914);
      standalone (closes: #341646);      stearate (closes: #366894);
      subaudible (closes: #398934);      switchover (closes: #348787);
      syllabary (closes: #307430);       tinnitus (closes: #438916);
      torturous (closes: #356741);       triangulating (closes: #333619);
      uncompetitive (closes: #451429);   unconverted (closes: #316153);
      unpresentable (closes: #313268);   untethered (closes: #470199);
      wack (closes: #293231);
      ISP, boonies, ft(feet), remodelers (closes: 292789);
      biramous, uniramous (closes: #433207);
      breathalyser, Breathalyzer, breathings (closes: #303911);
      builtin, built-in (closes: #415614);
      demonization, demonized, demonize (closes: #367561);
      electable, unelectable (closes: #282569);
      fearer, fearers, fear (closes: #404869);
      gawkers, transgender (closes: #454068);


=== debian/control ===
Source: ispell
Section: text
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: bison,
               debhelper (>= 8),
               dictionaries-common-dev (>= 1.10.6~),
               libncurses5-dev
Build-Depends-Indep: wamerican (>= 6-3~),
                     wamerican-huge (>= 6-3~),
                     wamerican-insane (>= 6-3~),
                     wamerican-large (>= 6-3~),
                     wamerican-small (>= 6-3~),
                     wbritish (>= 6-3~),
                     wbritish-huge (>= 6-3~),
                     wbritish-insane (>= 6-3~),
                     wbritish-large (>= 6-3~),
                     wbritish-small (>= 6-3~)
Standards-Version: 3.9.2
Homepage: http://www.lasr.cs.ucla.edu/geoff/ispell.html
Vcs-Git: git://anonscm.debian.org/users/robert/ispell.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/ispell.git;a=summary

Package: ispell
Architecture: any
Multi-Arch: foreign
Depends: dictionaries-common, ${misc:Depends}, ${shlibs:Depends}
Recommends: iamerican | ispell-dictionary, wamerican | wordlist
Breaks: iamerican (<= 3.1.20.0-9),
        ibritish (<= 3.1.20.0-9),
        ibulgarian (<= 3.0-12),
        iczech (<= 20040229-5),
        idanish (<= 1.6.25-1),
        iestonian (<= 1:20030606-12.1),
        ifinnish (<= 0.7-17.3),
        ifinnish-large (<= 0.7-17.3),
        ifrench (<= 1.4-25),
        ifrench-gut (<= 1:1.0-27),
        igaelic (<= 0.50-7),
        ihungarian (<= 0.99.4-2),
        iirish (<= 2.0-20),
        iitalian (<= 1:2.3-2),
        imanx (<= 0.50-8),
        inorwegian (<= 2.0.10-3.2),
        iogerman (<= 1:2-26),
        ipolish (<= 20100612-1),
        irussian (<= 0.99g5-8.1),
        iswedish (<= 1.4.5-2),
        iukrainian (<= 1.6.0-1)
Suggests: spell
Description: International Ispell (an interactive spelling corrector)
 Ispell corrects spelling in plain text, LaTeX, sgml/html/xml, and nroff files.
 [x]Emacs and jed have nice interfaces to ispell, and ispell works from many
 other tools and from the command line as well.
 .
 No ispell dictionaries are included in this package; you must install
 at least one of them ("iamerican" is recommended by default for no good
 reason); install the "ispell-dictionary" package(s) for the language(s)
 you and your users will want to spell-check.
 .
 It's a good idea to install "word list" package(s) for the same language(s),
 because they'll be used by ispell's (L)ookup command.

Package: ienglish-common
Architecture: all
Depends: dictionaries-common (>= 1.10.6~), ispell (>= 3.3.02), ${misc:Depends}
Recommends: iamerican | iamerican-small | iamerican-large | iamerican-huge | iamerican-insane | ibritish | ibritish-small | ibritish-large | ibritish-huge | ibritish-insane
Description: Common files for British and American ispell dictionaries
 This package provides common files and dependencies for all American and
 British ispell dictionary packages. The package is useless if none of the
 dictionaries is also installed.

Package: iamerican
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wamerican
Provides: ispell-dictionary
Description: American English dictionary for ispell (standard version)
 This package provides the standard, medium-sized American English dictionary,
 based on the americanmed+ dictionary supplied with the source for ispell,
 with additional words added from the more comprehensive wamerican word
 list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are ibritish* packages as well.
 .
 The package also suggests wamerican because ispell's (L)ookup command
 needs a word list.

Package: ibritish
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wbritish
Provides: ispell-dictionary
Description: British English dictionary for ispell (standard version)
 This package provides the standard, medium-sized British English dictionary,
 based on the britishmed+ dictionary supplied with the source for ispell, with
 additional words added from the more comprehensive wbritish word list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are iamerican* packages as well.
 .
 The package also suggests wbritish because ispell's (L)ookup command
 needs a word list.

Package: iamerican-small
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wamerican-small
Provides: ispell-dictionary
Description: American English dictionary for ispell (small)
 This package provides the american-small dictionary, based on the americansml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-small word list package.
 .
 This is smaller dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-small because ispell's (L)ookup
 command needs a word list.

Package: ibritish-small
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wbritish-small
Provides: ispell-dictionary
Description: British English dictionary for ispell (small)
 This package provides the british-small dictionary, based on the britishsml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-small word list package.
 .
 This is smallr dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-small because ispell's (L)ookup command
 needs a word list.

Package: iamerican-large
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wamerican-large
Provides: ispell-dictionary
Description: American English dictionary for ispell (large)
 This package provides the american-large dictionary, based on the americanlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-large word list package.
 .
 This is larger dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-large because ispell's (L)ookup
 command needs a word list.

Package: ibritish-large
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wbritish-large
Provides: ispell-dictionary
Description: British English dictionary for ispell (large)
 This package provides the british-large dictionary, based on the britishlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-large word list package.
 .
 This is larger dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-large because ispell's (L)ookup command
 needs a word list.

Package: iamerican-huge
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wamerican-huge
Provides: ispell-dictionary
Description: American English dictionary for ispell (huge)
 This package provides the american-huge dictionary, based on the americanxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 iamerican-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-huge
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wbritish-huge
Provides: ispell-dictionary
Description: British English dictionary for ispell (huge)
 This package provides the british-huge dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 ibritish-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.

Package: iamerican-insane
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wamerican-insane
Provides: ispell-dictionary
Description: American English dictionary for ispell (insane version)
 This package provides the american-insane dictionary, based on the
 americanxlg+ dictionary supplied with the source for ispell, with additional
 words added from the more comprehensive wamerican-insane word list package.
 .
 This is an even larger dictionary than the one installed by iamerican-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-insane
Architecture: all
Depends: dictionaries-common,
         ienglish-common (= ${source:Version}),
         ispell,
         ${misc:Depends}
Suggests: wbritish-insane
Provides: ispell-dictionary
Description: British English dictionary for ispell (insane version)
 This package provides the british-insane dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-insane word list package.
 .
 This is an even larger dictionary than the one installed by ibritish-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.

=== debian/rules ===
#!/usr/bin/make -f

SHELL                   := sh -e
CFLAGS                  := $(shell dpkg-buildflags --get CFLAGS) -Wall
LDFLAGS                 := $(shell dpkg-buildflags --get LDFLAGS)
DH_AUTO_OPTIONS         := -v -Smakefile
GEN_DH_FILES            := debian/packages.d/gen_debhelper_files.pl
export DESTDIR          := $(CURDIR)/debian/tmp


build: export MISSING_BUILD_DEPS := $(shell dpkg-checkbuilddeps 2>&1)
binary binary-arch binary-indep build build-arch build-indep: debian/packages.stamp
	dh ${@}

clean:
	dh ${@}


ifneq ($(shell dh_listpackages),$(shell dh_listpackages -i))  # arch:any packages are built
override_dh_auto_build:   debian/build-arch.stamp

override_dh_auto_install: install-arch
endif

ifneq ($(shell dh_listpackages),$(shell dh_listpackages -a)) # arch:all packages are built
  ifneq (,$(MISSING_BUILD_DEPS))
    $(warning $(MISSING_BUILD_DEPS))
    $(warning Postponing build of architecture independent files until binary or binary-indep target is called)
  else
override_dh_auto_build:   debian/build-indep.stamp
  endif
override_dh_auto_install: install-indep
endif

override_dh_auto_clean:
	rm -f debian/*.stamp debian/*.config debian/*.templates *.mwl*
	
	for dir in . languages/*; do                                    \
	        [ ! -d $$dir ] || $(MAKE) -C $$dir clean dictclean;     \
	done
	
	
	[ ! -f Makefile ] || $(MAKE) realclean
	-find . -name "*~" | xargs rm -f
	
	rm -f local.h defhash.h languages/english/english.5
	
	$(GEN_DH_FILES) clean

override_dh_installdocs:
	dh_installdocs -a
	dh_installdocs -i  --link-doc=ienglish-common
	

debian/packages.stamp: $(wildcard debian/packages.d/*.in) $(GEN_DH_FILES) debian/rules debian/control
	perl $(GEN_DH_FILES) generate
	touch "$@"


debian/build-common.stamp: debian/packages.stamp
	@echo "*** Building common files"
	
	ln -sf local.h.linux local.h
	
	dh_auto_build $(DH_AUTO_OPTIONS) -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"     \
	                config.sh                                                       \
	                programs defmt-programs showversion ispell.1 ispell.5           
	touch "$@"

debian/build-arch.stamp: debian/build-common.stamp
	touch "$@"
	        
debian/build-indep.stamp: debian/build-common.stamp
	@echo "*** Building arch:all files"
	dh_auto_build $(DH_AUTO_OPTIONS) -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" all-languages
	
	$(MAKE) -f debian/rules american.xxl+.mwl british.xxl+.mwl
	touch "$@"


install-arch: debian/build-arch.stamp
	@echo "*** Installing data into arch:any packages"
	
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"  \
	        DESTDIR="$(DESTDIR)" install-basic install-deformatters install-dictbuild
	
install-indep: debian/build-indep.stamp
	@echo "*** Installing data into arch:all packages"
	
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"  \
	        DESTDIR="$(DESTDIR)" install-languages
	
	mv $(DESTDIR)/usr/lib/ispell/english.aff $(DESTDIR)/usr/share/ispell/english.aff
	
	set -e; \
	for lang in american british ; do \
	   cp -a $$lang.xxl+.mwl $(DESTDIR)/usr/share/ispell/$$lang.xxl+.mwl; \
	   gzip -9f $(DESTDIR)/usr/share/ispell/$$lang.xxl+.mwl; \
	done
	
	set -e; \
	for infofile in debian/*.info-ispell; do \
	        installdeb-ispell --package=`basename $$infofile .info-ispell`; \
	done
	


american.xxl+.mwl british.xxl+.mwl  : languages/english/english.aff
american.xxl+.mwl  : languages/american/american.xlg+ /usr/share/dict/american-english-insane
british.xxl+.mwl   : languages/british/british.xlg+   /usr/share/dict/british-english-insane

%.mwl:
	# Note: assumes that affix file is the first prerequisite
	./munchlist -v -T utf8 -l   $^ > $@.tmp
	mv -f $@.tmp $@


.PHONY: binary binary_arch binary_indep build build_arch build_indep clean     \
	override_dh_auto_build override_dh_auto_install override_dh_auto_clean \
	override_dh_installdocs                                                \
	install-arch install-indep
